Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367442 - [RHCS-2.0] ceph-objectstore-tool: ability to perform filestore splits offline : new command apply-layout-settings
Summary: [RHCS-2.0] ceph-objectstore-tool: ability to perform filestore splits offline...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.2
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 2.1
Assignee: Josh Durgin
QA Contact: Vasu Kulkarni
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1383917
TreeView+ depends on / blocked
 
Reported: 2016-08-16 12:11 UTC by Vikhyat Umrao
Modified: 2017-07-30 15:07 UTC (History)
13 users (show)

Fixed In Version: RHEL: ceph-10.2.3-4.el7cp Ubuntu: ceph_10.2.3-5redhat1
Doc Type: Enhancement
Doc Text:
.Collection splitting can be now done offline This update adds the `apply-layout-settings` command to the `ceph-objectstore-tool` utility. The new command enables users to perform collection splitting offline on OSD nodes in cases when doing it online would cause too large an impact.
Clone Of: 1367441
Environment:
Last Closed: 2016-11-22 19:30:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC
Ceph Project Bug Tracker 17220 None None None 2016-09-22 15:06:20 UTC

Description Vikhyat Umrao 2016-08-16 12:11:21 UTC
+++ This bug was initially created as a clone of Bug #1367441 +++

Description of problem:

ceph-objectstore-tool with new option 'apply-layout-settings'


Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 1.3.2

Comment 2 Samuel Just 2016-09-22 15:06:21 UTC
Wrong bug was linked, I marked switched to the right upstream bug.  The master PR is merged: https://github.com/ceph/ceph/pull/10776.  Josh indicates that this should be straightforward to get into 2.1.

Comment 3 Vikhyat Umrao 2016-09-22 15:14:27 UTC
Thank you Sam. I am removing the duplicate tracker.

Comment 5 Josh Durgin 2016-09-30 22:08:30 UTC
This can be tested by running a subset of the rados:thrash suite, which includes using this command in https://github.com/ceph/ceph-qa-suite/pull/1191

Comment 10 Vasu Kulkarni 2016-11-03 03:03:12 UTC
Verified in 10.2.3-12.el7cp.x86_64

Comment 13 errata-xmlrpc 2016-11-22 19:30:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.